# WebGIS Isola di Capri

Il webGIS è servito dalla cartella `webgis/`, che funziona da _root_ per i file JavaScript (cartella `js/`), caricati dal relativo `index.html`, oltre che per immagini, documenti e layer GeoJSON.

## Configurazione

Il webGIS necessita di un singolo file di configurazione (**_non versionato_**), che deve trovarsi in `webgis/js` ed essere nominato `config.js`.

Il file definisce solo gli endpoint di base da utilizzare per le chiamate alla API JSON lato server (che fornisce dati estratti dal database PostgreSQL) in ambiente di sviluppo (`dev`) o in produzione (`prod`).

La struttura del file deve essere la seguente (gli endpoint riportati sono solo di esempio):

```js
const API_CONFIG = {
    dev: 'https://localhost',
    prod: 'https://api.example.com'
};

export default API_CONFIG;
```

## Dipendenze

Le dipendenze sono gestite con `yarn`, per installarle è sufficiente eseguire `yarn` dalla cartella `webgis/js`, dove si trova `package.json`.

Il file `webgis/index.html` contiene una [`importmap`](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/script/type/importmap) principalmente per mappare 
Photo Sphere Viewer, Three.js (da cui dipende Photo Sphere Viewer) e Stimulus.

### CSS

- [Bulma](https://bulma.io)
- Fontawesome free

### JS

- [Leaflet](https://leafletjs.com) (mappa)
    - [kalisio/leaflet-graphicscale](https://github.com/kalisio/leaflet-graphicscale) (plugin Leaflet per scala mappa)
- [Spotlight.js](https://nextapps-de.github.io/spotlight/) (gallery immagini)
- [Photo Sphere Viewer](https://photo-sphere-viewer.js.org/) (foto sferiche / panorami)
- [Stimulus](https://stimulus.hotwired.dev) (UI)
