/**
 * Component to render data for site surveys
 * @class SiteSurveys
 */
export class SiteSurveys {
    /**
     * @param {object} data
     */
    set siteData(data) {
        this._siteData = data;
    }

    render() {
		return `
			<div class="has-text-centered mb-5 pb-5">
				<p class="is-size-5 mt-3 mb-3">Rilievi, disegni ed elaborazioni grafiche</p>
				<div style="max-width: 70%; margin: 0 auto">
					<p class="is-size-6 mb-2">Cliccare sull'immagine per aprire la gallery</p>
					<figure class="is-relative has-text-centered is-clickable" id="gallery-1">
						<img src="img/${this._siteData.filename}" width="300"/>
						<div class="icon overlay is-flex is-justify-content-center is-align-items-center">
							<i class="is-flex fa fa-2x fa-play-circle"></i>
						</div>
					</figure>
				</div>
			</div>
		`;
    }
}